#delimit ;

clear;


*** CHANGE DIRECTORY TO LOCATION OF DATA FILES ***;


cd "F:\Projects\Treaty Compliance\Replication Files";




***** TABLE 1 - FINANCIAL OPENNESS *****;


use "Open_mi_1.dta", clear;

estsimp reg kaopen_fd bopgdp_fd resgdp_fd gdpgrow_fd useimfcr_fd gnpcap_fd surveil_fd regnorm_fd flexible_fd tradedep_fd univers_fd, cluster(imf_ccode) mi(Open_mi_);

use "Open_mi_1.dta", clear;

estsimp reg kaopen_fd bopgdp_fd resgdp_fd gdpgrow_fd useimfcr_fd gnpcap_fd surveil_fd regnorm_fd flexible_fd tradedep_fd univers_fd military_fd termlim_fd parli_fd, cluster(imf_ccode) mi(Open_mi_);

use "Open_mi_1.dta", clear;

estsimp reg kaopen_fd exec_fd_right bopgdp_fd resgdp_fd gdpgrow_fd useimfcr_fd gnpcap_fd surveil_fd regnorm_fd flexible_fd tradedep_fd univers_fd military_fd termlim_fd parli_fd,  cluster(imf_ccode) mi(Open_mi_);




***** TABLE 2 - TREATY COMPLIANCE *****;


use "Treaty_mi_1.dta", clear;

estsimp logit restrict art8 flexible gnpcap regnorm gdpgrow resgdp bopgdp useimfcr surveil univers resvol totvol tradedep lastrest lastrest2 lastrest3, cluster(imf_ccode) mi(Treaty_mi_);

use "Treaty_mi_1.dta", clear;

estsimp logit restrict art8 flexible gnpcap regnorm gdpgrow resgdp bopgdp useimfcr surveil univers resvol totvol tradedep military termlim parli lastrest lastrest2 lastrest3, cluster(imf_ccode) mi(Treaty_mi_);

use "Treaty_mi_1.dta", clear;

estsimp logit restrict art8 shift_left flexible gnpcap regnorm gdpgrow resgdp bopgdp useimfcr surveil univers resvol totvol tradedep military termlim parli lastrest lastrest2 lastrest3, cluster(imf_ccode) mi(Treaty_mi_);


***** FIGURE 1 - SUBSTANTIVE EFFECTS *****;


setx mean;

setx art8 0 shift_left 0;

simqi, prval(1);

setx art8 1 shift_left 0;

simqi, prval(1);

setx art8 1 shift_left 1;

simqi, prval(1);

exit;